%define anolis_release 2

# Filter modules bundled for tests
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(CompTestUtils\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}
%if %{defined perl_bootstrap}
%global __requires_exclude %{__requires_exclude}|^perl\\(Test::Builder)\s*$
%global __requires_exclude %{__requires_exclude}|^perl\\(Test::More)\s*$
%global __requires_exclude %{__requires_exclude}|^perl\\(Test::Simple)\s*$
%endif

%bcond_with perl_Compress_Raw_Bzip2_enables_optional_test

Name:           perl-Compress-Raw-Bzip2
Version:        2.204
Release:        %{anolis_release}%{?dist}
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Summary:        Low-level interface to bzip2 compression library
URL:            https://metacpan.org/release/Compress-Raw-Bzip2
Source0:        https://cpan.metacpan.org/modules/by-module/Compress/Compress-Raw-Bzip2-%{version}.tar.gz
# Module Build
BuildRequires:  gcc bzip2-devel make findutils coreutils
BuildRequires:  perl-interpreter perl-devel perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Config)
BuildRequires:  perl(File::Copy) perl(ExtUtils::Constant) perl(lib) perl(File::Spec::Functions)
# Module Runtime
BuildRequires:  perl(Exporter) perl(constant) perl(Carp) perl(bytes)
BuildRequires:  perl(XSLoader) perl(warnings) perl(strict)
# Test Suite
BuildRequires:  perl(threads::shared) perl(File::Path) perl(vars)

%if !%{defined perl_bootstrap}
BuildRequires:  perl(Test::More)
%endif
%if %{with perl_Compress_Raw_Bzip2_enables_optional_test}
BuildRequires:  perl(overload) perl(lib) perl(File::Temp) perl(Scalar::Util)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(Test::NoWarnings)
%endif
%endif

# Runtime
Requires:       perl(XSLoader)

Obsoletes:      %{name}-tests < %{EVR}

%{?perl_default_filter}

%description
Compress::Raw::Bzip2 provides an interface to the in-memory compression/uncompression
functions from the bzip2 compression library.

Although the primary purpose for the existence of Compress::Raw::Bzip2 is for use by 
the IO::Compress::Bzip2 and IO::Compress::Bunzip2 modules, it can be used on its own 
for simple compression/uncompression tasks.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -n Compress-Raw-Bzip2-%{version} -p1

%build
BUILD_BZIP2=0
BZIP2_LIB=%{_libdir}
export BUILD_BZIP2 BZIP2_LIB
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete

%check
unset PERL_CORE
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%{perl_vendorarch}/auto/Compress/
%{perl_vendorarch}/Compress/
%{_mandir}/man3/Compress::Raw::Bzip2.3*

%files doc
%doc README Changes

%changelog
* Fri Apr 14 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.204-2
- Optimize the spec file

* Fri Feb 10 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.204-1
- update to version 2.204

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.201-3
- remove versioned MODULE_COMPAT_ requires

* Tue Feb 07 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.201-2
- rebuild with perl_bootstrap disabled

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.201-1
- update to 2.201

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.103-1
- init from upstream
